import BaseComponent from 'primevue/basecomponent';
import { ObjectUtils } from 'primevue/utils';
import { openBlock, createElementBlock, mergeProps, createElementVNode } from 'vue';

var script = {
  name: 'WecgIcon',
  "extends": BaseComponent,
  props: {
    label: {
      type: String,
      "default": undefined
    },
    spin: {
      type: Boolean,
      "default": false
    },
    spritesheet: {
      type: String,
      "default": '../src/assets/icons/wecg_wawi_icon_spritesheet.svg'
    },
    variant: {
      type: String,
      "default": 'default'
    },
    size: {
      type: String,
      "default": 'large'
    },
    icon: {
      type: String
    },
    strokeWidth: {
      type: String,
      "default": '0.375rem'
    },
    color: {
      type: String,
      "default": '#FFFFFF'
    },
    disabled: {
      type: Boolean,
      "default": false
    }
  },
  methods: {
    pti: function pti() {
      var isLabelEmpty = ObjectUtils.isEmpty(this.label);
      return {
        role: !isLabelEmpty ? 'img' : undefined,
        'aria-label': !isLabelEmpty ? this.label : undefined,
        'aria-hidden': isLabelEmpty
      };
    }
  }
};

var _hoisted_1 = ["stroke-width", "stroke"];
var _hoisted_2 = ["href"];
function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    role: "img",
    width: "14",
    height: "14",
    viewBox: "0 0 14 14",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg",
    "stroke-width": $props.strokeWidth,
    stroke: $props.color
  }, $options.pti()), [createElementVNode("use", {
    href: "".concat($props.spritesheet, "#svg.").concat($props.icon)
  }, null, 8, _hoisted_2)], 16, _hoisted_1);
}

script.render = render;

export { script as default };
